(* use"mathml.sml";

*)

type xml = string;
fun strs2xml strs = foldl (op ^) ("", strs); 
(* writeln (strs2xml ["<XXX> xxx </XXX>\n","<YYY> yyy </YYY>\n"]);
<XXX> xxx </XXX>
<YYY> yyy </YYY>*)

val indentation = 2;
val i = indentation;

fun term2xml j t = 
    indt (j+i) ^ "<MATHML>\n" ^ 
    indt (j+2*i) ^ "<ISA> " ^ term2str t ^ " </ISA>\n" ^
    indt (j+i) ^ "</MATHML>";
(*val t = str2term "equality e_";
  writeln (term2xml 8 t);
          <MATHML>
            <ISA> equality e_ </ISA>
          <MATHML> *)

(*version for TextIO*)                                                         
fun terms2xml j [] = ""
  | terms2xml j (t::ts) = term2xml j t ^ terms2xml j ts;
(*version for writeln: extra \n*)
fun terms2xml' j [] = ""
  | terms2xml' j (t::ts) = term2xml j t ^"\n"^ terms2xml j ts;
   
fun cterm2xml j ct = 
    indt (j+i) ^ "<MATHML>\n" ^ 
    indt (j+2*i) ^ "<ISA> " ^ ct ^ " </ISA>\n" ^
    indt (j+i) ^ "</MATHML>\n";
